/*************************************
Pavel Potapov, virtualTEM, 2013-2014
**************************************/

result("9")

number OFFLine 
GetPersistentNumberNote("_temDM-Scripts"+":OFFLine",OFFLine);
if(OffLine!=1){result("\X");throw(-128);}
 
//frame to control binning and exposure settings of the cameras

class SetExposureAndBinning112 : UIFrame
{
number exp,bin,CameraID
string Mode,subMode

number GetBinningList(object self,number Binning)
	{
	number BinningTable = Binning
	if(BinningTable==8) BinningTable = 5
	return BinningTable
	}
	
number SetBinningList(object self,number BinningTable)
	{
	number Binning = BinningTable
	if(Binning==5) Binning = 8
	return Binning
	}
	
TagGroup CreateBox(object self)
	{
	TagGroup Box = DLGCreateBox("")


	Box.DLGTableLayout(2,4,0).DLGAnchor("West")

	Box.DLGAddElement(DLGCreateLabel("exposure (s)"))
	Box.DLGAddElement(DLGCreateRealField(exp,6,2).DLGIdentifier("exp"))

	Box.DLGAddElement(DLGCreateLabel("binning"))
	TagGroup BinItem
	Box.DLGAddElement(DLGCreatePopup(BinItem,self.GetBinningList(bin)).DLGIdentifier("binning"))
					BinItem.DLGAddPopupItemEntry("1")
					BinItem.DLGAddPopupItemEntry("2")	
					BinItem.DLGAddPopupItemEntry("3")
					BinItem.DLGAddPopupItemEntry("4")
					BinItem.DLGAddPopupItemEntry("8")
		
	Box.DLGAddElement(DLGCreatePushButton("   OK   ", "OkClick"))
	Box.DLGAddElement(DLGCreatePushButton("Cancel", "CancelClick"))
 
	return Box
	}

object init (object self,String ModeP)
	{
	Mode=ModeP
	if(Mode=="View") subMode = "Search"
	if(Mode=="Acquire") subMode = "Record"
	number binX,binY
	GetPersistentNumberNote(CM_Path112()+":Current Camera",CameraID)
	GetPersistentPointNote(HLP_Path112(CameraID,Mode,SubMode)+":Binning",binX,binY)
	bin=binX
	GetPersistentNumberNote(HLP_Path112(CameraID,Mode,SubMode)+":Exposure (s)",exp)
	
	self.init( self.CreateBox() );

	display(self,Mode);
	
	return self
	}

void OkClick(object self )
	{
	bin = self.SetBinningList(self.LookUpElement("binning").DLGGetValue() )
	exp = self.LookUpElement("exp").DLGGetValue()

	SetPersistentPointNote(HLP_Path112(CameraID,Mode,SubMode)+":Binning",bin,bin)
	SetPersistentNumberNote(HLP_Path112(CameraID,Mode,SubMode)+":Exposure (s)",exp)
	
	self.CloseUIFrameinV1V2DM112()
	}
	
void CancelClick(object self )
	{
	self.CloseUIFrameinV1V2DM112()
	}
	
}

result(")")
