/*************************************
Pavel Potapov, virtualTEM, 2013-2014
**************************************/

result("11")

number OFFLine 
GetPersistentNumberNote("_temDM-Scripts"+":OFFLine",OFFLine);
if(OffLine!=1) {result("\X");throw(-128);}

//service 112-commands

void ResetEnergyDrift112() VMsetValue112("FEG:Energy Drift_eVPh",0)
 
void ResetEnergy112() VMsetValue112("FEG:Energy_eV",0)


//frame to control the properties of FEG

class SetFEG112 : UIFrame
{
number FWHM,driftE,rippleE
string FWHMname,driftname,rippleEname
TagGroup CreateBox(object self)
	{
	TagGroup Box = DLGCreateBox("")

	Box.DLGTableLayout(2,4,0).DLGAnchor("West")

	Box.DLGAddElement(DLGCreateLabel("FWHM (eV)"))
	Box.DLGAddElement(DLGCreateRealField(FWHM,6,2).DLGIdentifier("FWHM"))
	 
	Box.DLGAddElement(DLGCreateLabel("Energy drift (eV/h)"))
	Box.DLGAddElement(DLGCreateRealField(driftE,6,2).DLGIdentifier("EnergyDrift"))

	Box.DLGAddElement(DLGCreateLabel("Energy Ripple - sigma (eV)"))
	Box.DLGAddElement(DLGCreateRealField(rippleE,6,2).DLGIdentifier("EnergyRipple"))	
		
	Box.DLGAddElement(DLGCreatePushButton("   OK   ", "OkClick"))
	Box.DLGAddElement(DLGCreatePushButton("Cancel", "CancelClick"))
 
	return Box
	}

object init (object self)
	{
	FWHMname = "FEG:FWHM"
	driftname = "FEG:Energy Drift_eVPh"
	rippleEname = "FEG:Energy Ripple_sigma_eV"
	
	FWHM = VMgetValue112(FWHMname)
	driftE = VMgetValue112(driftname)
	rippleE = VMgetValue112(rippleEname)
	
	self.init( self.CreateBox() );
	display(self,"FEG settings");
	
	return self
	}

void OkClick(object self )
	{
	VMsetValue112(FWHMname,self.LookUpElement("FWHM").DLGGetValue() )
	VMsetValue112(driftname,self.LookUpElement("EnergyDrift").DLGGetValue() )
	VMsetValue112(rippleEname,self.LookUpElement("EnergyRipple").DLGGetValue() )

	self.CloseUIFrameinV1V2DM112()
	}
	
void CancelClick(object self )
	{
	self.CloseUIFrameinV1V2DM112()
	}
	
}

result(")")