/*************************************
Pavel Potapov, virtualTEM, 2013-2014
**************************************/

result("12")

number OFFLine 
GetPersistentNumberNote("_temDM-Scripts"+":OFFLine",OFFLine);
if(OffLine!=1){result("X");throw(-128);}

//reset all microscope/filter settings to the default values
 
void ResetVirtualTEMsettings112()
{
EMSetFocus(0)
EMSetC2(50)
EMSetSpotSize(5)

EMSetObjectiveStigmation(0,0)
EMSetCondensorStigmation(0,0)
EMsetStageX(0)
EMsetStageY(0)
EMsetStageZ(0)
EMsetStageAlpha(0) 
EMsetStageBeta(0)
EMSetImageShift(0,0)
EMSetBeamShift(0,0)
EMSetBeamTilt(0,0)

//Screen
EMSetScreenPosition(2)

//Filter
ResetEnergy112()
IFSetEnergyOffset(1,0)
IFSetEnergyOffset(2,0)
IFSetEnergyOffset(3,0)
IFSetEnergyOffset(4,0)
}

//Set default microscope parameters if are not propertly stored
	if(EMGetImagingOpticsMode()=="") EMSetImagingOpticsMode("IMAGING")
	if(VMgetValue112("FEG:FWHM")==0) VMsetValue112("FEG:FWHM",0.8)
	
	number C2curr =VMgetValue112("C2")
	if(C2curr==0)  
		{
		resetVirtualTEMsettings112()
		result("reset align")
		}

result(")")
