// $BACKGROUND$
result("\n\nTEST DigiScan")
result("\nFly back time "+DSGetFlyBackTime())
result("\nDSCountSignals: "+DSCountSignals())
result("\nSignalName 0 "+DSGetSignalName(0))
result("\nSignalName 1 "+DSGetSignalName(1))
result("\nSignalName 2 "+DSGetSignalName(2))
result("\nmax Signal bite 1 "+ DSGetMaxSignal(0,1,10))
result("\nmax Signal bite 2 "+ DSGetMaxSignal(0,2,10))
result("\nmax Signal bite 4 "+ DSGetMaxSignal(0,4,10))

result("\nhas scan control "+DSHasScanControl())
DSSetScanControl(1)
result("\nNow has: "+DSHasScanControl())

number x,y
DSsetBeamDSPosition(2000,3000)
DSGetBeamDSPosition(x,y)
result("\nmove to x "+x+" y "+y)

DSSetBeamVertical(3500)
DSSetBeamHorizontal(2500)
DSGetBeamDSPosition(x,y)
result("\nmove to x "+x+" y "+y)

DSMoveBeamToCenter( )
DSGetBeamDSPosition(x,y)
result("\nmove to x "+x+" y "+y)

DSSetBeamToSafePosition()
DSGetBeamDSPosition(x,y)
result("\npark x "+x+" y "+y)

number ParamID = DSCreateParameters(512,512,0,5,0)
result("\nParameter ID "+ParamID)
number width,height,rot,pTime,synch
result("\nparameters exist "+DSGetParameters(ParamID,width,height,rot,pTime,synch))
result("\nwidth "+width+" height "+height+" rot "+rot+" pTime "+pTime+" synch "+synch)
result("\nsignal set "+DSSetParametersSignal(ParamID,2,2,1,0))

EMSetCondensorStigmation(0.8,0.4)
DSStartAcquisition(ParamID,0,0)
DSDeleteParameters(ParamID)
DSwaitUntilFinished()
image baseImage := getFrontImage()
baseImage.setName("Rot 0")
//number BaseimID = getFrontImage().getImageID()


ParamID = DSCreateParameters(512,512,90,5,0)
DSSetParametersSignal(ParamID,2,2,1,0)
DSStartAcquisition(ParamID,0,0)
DSDeleteParameters(ParamID)	
DSwaitUntilFinished()
getFrontImage().setName("Rot +90")

image im := integerimage("512x256",2,0,512,256)
im.showimage()
DSAcquireData(im,0,5,0,0)
DSwaitUntilFinished()

image subimage1 := integerimage("sub N-W",2,0,512,512)
subimage1.showimage()
DSScanSubRegion(baseImage,subimage1,0,0,256,256)
DSwaitUntilFinished()

image subimage2 := integerimage("sub N-O",2,0,512,512)
subimage2.showimage()
DSScanSubRegion(baseImage,subimage2,0,256,256,512)
DSwaitUntilFinished()

image subimage3 := integerimage("sub S-W",2,0,512,512)
subimage3.showimage()
DSScanSubRegion(baseImage,subimage3,256,0,512,256)
DSwaitUntilFinished()

image subimage4 := integerimage("sub S-O",2,0,512,512)
subimage4.showimage()
DSScanSubRegion(baseImage,subimage4,256,256,512,512)
DSwaitUntilFinished()

image Profile1 := integerimage("TL-BR",2,0,400,1)
Profile1.showimage()
DSScanProfile(baseImage,Profile1,0,0,512,512,20)
DSwaitUntilFinished()

image Profile2 := integerimage("BL-TR",2,0,400,1)
Profile2.showimage()
DSScanProfile(baseImage,Profile2,512,0,0,512,20) 
DSwaitUntilFinished()

image Slice1 := integerimage("156",2,0,400,1)
Slice1.showimage()
DSScanProfile(baseImage,Slice1,156,0,156,512,20)
DSwaitUntilFinished()


image Slice2 := integerimage("256",2,0,400,1)
Slice2.showimage()
DSScanProfile(baseImage,Slice2,256,0,256,512,20)
DSwaitUntilFinished()

image Slice3 := integerimage("356",2,0,400,1)
Slice3.showimage()
DSScanProfile(baseImage,Slice3,356,0,356,512,20)
DSwaitUntilFinished()
EMSetCondensorStigmation(0,0)
