//ssc commands //

number ccd_width,ccd_height,binning = 2 
sscgetsize(ccd_width,ccd_height )
result("\nccd size "+ccd_width+" "+ccd_height)
sscgetsizeBinned(ccd_width,ccd_height,binning)
result("\nccd size binned "+ccd_width+" "+ccd_height)

image Im1:= sscUnprocessedAcquire(0.1,0,0,2048,2048) 
Im1.ImageSetName("Unprocessed")
showimage(Im1)
image Im1b:= sscUnprocessedBinnedAcquire(0.1,2,0,0,1024,1024)	
sscUnprocessedBinnedAcquireInPlace(Im1b,0.1,2,0,0,1024,1024)
Im1b.ImageSetName("UnprocessedBinned")
showimage(Im1b)
image Im2 := sscDarkSubtractedAcquire(0.1,0,0,2048,2048) 
Im2.ImageSetName("DarkSubtracted")
showimage(Im2) 	
image Im2b :=sscDarkSubtractedBinnedAcquire(0.1,2,0,0,1024,1024)	
sscDarkSubtractedBinnedAcquireInPlace(Im1b,0.1,2,0,0,1024,1024)
Im2b.ImageSetName("DarkSubtractedBinned")
showimage(Im2b) 

image Im3 := sscGainNormalizedAcquire(0.1,0,0,2048,2048)
Im3.ImageSetName("GainNormalized")
showimage(Im3) 
image Im3b := sscGainNormalizedBinnedAcquire(0.1,2,0,0,1024,1024)
sscGainNormalizedBinnedAcquireInPlace(Im3b,0.1,2,0,0,1024,1024)
Im3b.ImageSetName("GainNormalizedBinned")
showimage(Im3b) 

image imXY:= integerImage("XY",4,1,1024,512)
sscXYbinnedAcquireInPlace(imXY,0,0,512,1024,0.1,2,4,3) 
showimage(imXY) 
	
image dark:= sscGetDarkReference(0.1,2,0,0,1024,1024)
showimage(dark)
	
image gain:= sscGetGainReference(4)
showimage(gain)

//EM commands 

result("\nOperation mode " +EMCanGetImagingOpticsMode()+" "+ EMGetImagingOpticsMode()+" "+EMIsImagingMode("IMAGING"))
EMSetImagingOpticsMode("DIFFRACTION")
image ImD := sscGainNormalizedBinnedAcquire(0.1,2,0,0,1024,1024)
showimage(ImD) 
result("\nOperation mode " +EMCanGetImagingOpticsMode()+" "+ EMGetImagingOpticsMode()+" "+EMIsDiffractionMode("DIFFRACTION"))

EMSetCameraLength(200)
result("\nCamera Length can "+EMCanGetCameraLength()+" CameraLength "+ EMGetCameraLength())
EMSetImagingOpticsMode("IMAGING")
result("\nOperation mode " + EMGetImagingOpticsMode())

EMSetFocus(-20)
EMChangeFocus(40)
result("\nFocus "+EMGetFocus())

EMSetMagnification(200000)
EMSetMagIndex(2)
result("\nMag can "+EMCanGetMagnification()+" index "+EMGetMagIndex()+" Mag "+ EMGetMagnification()	)
	
EMSetImageShift(-20,-20)
EMImageShift(40,40)
number ShiftX, ShiftY
EMGetImageShift(ShiftX, ShiftY)
result("\nImageShift "+ShiftX+" "+ShiftY)

EMSetObjectiveStigmation(-0.1,-0.1) 
EMChangeStigmation(0.2,0.2)
number StigX,StigY
EMGetObjectiveStigmation(StigX,StigY)
result("\nObj Stig "+StigX+" "+StigY)

EMSetBeamShift(-5,-5)
EMBeamShift(10,10)	
EMGetBeamShift(ShiftX, ShiftY)
result("\nbeam shift "+ShiftX+" "+ShiftY)

EMSetBeamTilt(-1,-1)
EMChangeTilt(2,2)
number tiltX,tiltY
EMGetBeamTilt(tiltX,tiltY) 
result("\nbeam tilt "+tiltX+" "+tiltY)
	
EMSetCondensorStigmation(0.1,0.1)
EMGetCondensorStigmation(StigX,StigY)
result("\nCond Stig "+StigX+" "+StigY)

EMSetC2(60)
result("\nC2 "+EMGetC2())

number spot=6.9
EMSetSpotSize(spot)
result("\nSpotSize "+EMGetSpotSize() )

EMsetStageX(10) 
EMsetStageY(10) 
EMsetStageZ(10)
result("\n Stage X "+EMGetStageX()+" Y "+EMGetStageY()+" Z "+EMGetStageZ())

EMsetStageXY(5,5)	
number X,Y
EMGetStageXY(X,Y)
result("\n Stage X "+EMGetStageX()+" Y "+EMGetStageY() )


EMsetStageAlpha(2) 
EMsetStageBeta(2) 
result("\n Stage alpha "+EMGetStageAlpha()+" Beta "+EMGetStageBeta())

EMSetScreenPosition(2)
result("\nscreen "+EMGetScreenPosition())
	
result("\ncan getHT "+EMCanGetHighTension()+" " + EMGetHighTension())
EMwaitUntilReady()
result("\nEMready "+EMIsReady())
	



