/*************************************
Pavel Potapov, virtualTEM, 2013-2014
**************************************/

result("19")

number OFFLine 
GetPersistentNumberNote("_temDM-Scripts"+":OFFLine",OFFLine);
if(OffLine!=1){result("X");throw(-128);}
 
class VirtualTMActions112   
 {  
 void UncheckCurrentCamera(object self)
	{
	number currCameraID = CameraGetActiveCameraID() 
	string curCameraName
	GetPersistentStringNote(CCL_Path112()+":["+currCameraID+"]:Name",curCameraName)
	object CurrCamera = GetMenuBar().FindMenuItemByName("Camera").FindMenuItemByName("Camera").FindMenuItemByName(curCameraName)
	CurrCamera.SetIsChecked(0)
	}

 void CheckChosenCamera(object self,number CameraID)
	{
	string  NewCameraName
	GetPersistentStringNote(CCL_Path112()+":["+CameraID+"]:Name",NewCameraName)	
	object NewCamera = GetMenuBar().FindMenuItemByName("Camera").FindMenuItemByName("Camera").FindMenuItemByName(NewCameraName)
	NewCamera.SetIsChecked(1)

	object CamInsert = GetMenuBar().FindMenuItemByName("Camera").FindMenuItemByName("retract camera")
	if(!CamInsert.ScriptObjectIsValid()) CamInsert = GetMenuBar().FindMenuItemByName("Camera").FindMenuItemByName("insert camera")
	if(!CamInsert.ScriptObjectIsValid()) throw("insert camera menu not found !")
	
	if(CameraIsRetractable(CameraID)) 
		{
		if(CameraGetInserted(CameraID) ) CamInsert.SetName("retract camera")
		else {CamInsert.SetName("insert camera");}
		CamInsert.SetIsEnabled(1)
		}
	else CamInsert.SetIsEnabled(0)
	}
	
 void ChooseCamera_I(object self)
	{
	self.UncheckCurrentCamera()
	
	CameraSetActiveCameraID(0)

	self.CheckChosenCamera(0)
	}
 
  void ChooseCamera_II(object self)
	{
	self.UncheckCurrentCamera()
	
	CameraSetActiveCameraID(1)

	self.CheckChosenCamera(1)
	}
	
 void SettingsAcquire( Object self )  alloc(SetExposureAndBinning112).init("Acquire"); 

 void SettingsView( Object self )  alloc(SetExposureAndBinning112).init("View"); 
	
 void Search( Object self )   
	{    
	number ContSimullatorID = VMgetvalue112("Running ContiniousSimulator")

	object ContSimullator = GetScriptObjectFromID(ContSimullatorID)
	if (ContSimullator.ScriptObjectIsValid()) {ContSimullator.GetImDoc().ImageDocumentClose(0);}	
	ContSimullator =  alloc(SimulateContinuousAcqusition112)
	
	number CamID = CameraGetActiveCameraID() 
	number exp,binX,binY,Processing,top,left,bottom,right
	getReadArea112(CamID,"Imaging","View","Search",top,left,bottom,right)	
	Processing  = getProcessing112(CamID,"Imaging","View","Search")
	getBinning112(CamID,"Imaging","View","Search",BinX,BinY)
		if(IFIsInSpectroscopyMode()) 
		{
		number CameraWidth,CameraHeight
		CameraGetSize(CamID,CameraWidth,CameraHeight)
		bottom -= round(CameraHeight/2) //reduce twice the active height
		}
	exp = getExposure112(CamID,"Imaging","View","Search")
//result("\n"+top+" "+left+" "+bottom+" "+right+" "+binX+" "+binY+" Processing "+Processing)

	//StartThread(ContSimullator.init(exp,binX,binY,Processing,top,left,bottom,right))
		//induce error in GMS3 !!
	ContSimullator.init(exp,binX,binY,Processing,top,left,bottom,right)  
	StartThread(ContSimullator) 
	}  
  
   void Restart( Object self )   
	{ 
	number ContSimullatorID = VMgetvalue112("Running ContiniousSimulator")
	object ContSimullator = GetScriptObjectFromID(ContSimullatorID)
	if (ContSimullator.ScriptObjectIsValid()) {ContSimullator.Release();}
	}

   void Record( Object self )   
	{ 
	number CamID = CameraGetActiveCameraID()
	number exp,binX,binY,Processing,top,left,bottom,right
	CameraGetDefaultParameters(CamID,exp,BinX,BinY,processing,top,left,bottom,right)
//result("\n"+top+" "+left+" "+bottom+" "+right+" "+binX+" "+binY+" Processing "+Processing)

	image im:=CameraAcquire112(CamID,Processing,exp,binX,binY,top/binY,left/binX,bottom/binY,right/binX) 
	showImage(im)
		
	im.ImageGetImageDisplay(0).ImageDisplaySetContrastLimits(0,max(im))
	}
	
  number PanelOpened112(object self,string PanelName)
	{
	number PanelID = VMgetvalue112(PanelName)
	object Panel = PanelID.GetScriptObjectFromID()
	if(Panel.ScriptObjectIsValid()) 
		{
		Panel.GetFrameWindow().WindowSelect()
		return 1
		}
	else return 0	
	}
	
  void VM_Panel_1(object self)
	{
	if(!self.PanelOpened112("VM_panel_I ID")) alloc(MicroscopePanel_I).init()
	}
 
  void VM_Panel_2(object self)
	{
	if(!self.PanelOpened112("VM_panel_II ID")) alloc(MicroscopePanel_II).init()
	}
	
  void VM_Panel_3(object self)
	{
	if(!self.PanelOpened112("VM_panel_III ID")) alloc(MicroscopePanel_III).init()	
	}   

  void VM_Panel_F(object self)
	{
	if(!self.PanelOpened112("VM_panel_F ID")) alloc(Filter112).init()	
	} 

  void VM_Panel_DS(object self)
	{
	if(!self.PanelOpened112("VM_panel_DigiScan ID")) alloc(DigiScan112).init()	
	} 
	
void ResetSettings(object self) ResetVirtualTEMsettings112()

void SetStageDrift(object self) alloc(SetStageDrift112).init();

void SetFeg(object self) alloc(SetFEG112).init();

void InsertRetractCamera(object self)
	{
	number currCameraID = CameraGetActiveCameraID() 
	if(CameraGetInserted(currCameraID) ) 	currCameraID.CameraSetInserted(0)
	else 									currCameraID.CameraSetInserted(1)
	
	self.CheckChosenCamera(currCameraID)
	}

void LoadExample(object self,string Name)
	{
	string path = GetApplicationDirectory(1009,0).PathExtractParentDirectory(0)
	if(right(path,6)!="Gatan\\") path = path.PathExtractParentDirectory(0) //DM 1.x
	path += "Sample Scripts"
	path += "\\temDM Scripting Examples\\"
result("\n"+path)
	if(DoesFileExist(path+Name+".s")) NewScriptWindowFromFile(path+Name+".s")
	else 
		{
		if (OpenDialog(path)) NewScriptWindowFromFile(path)
		else exit(0)
		}
	}
	
void LoadExample_1(object self) self.LoadExample("AutoAcquisition")
void LoadExample_2(object self) self.LoadExample("Focal Series")
void LoadExample_3(object self) self.LoadExample("Correct Stage Drift")
void LoadExample_4(object self) self.LoadExample("EFTEM")
void LoadExample_5(object self) self.LoadExample("Track Energy")
void LoadExample_6(object self) self.LoadExample("Z-Mapping")
	
}  
 
object handler = alloc(VirtualTMActions112)
 
object BuildItem(string Name,string Action)
	{
	object Item
	Item = newMenuItem(Name)
	Item.SetIsEnabled(1)
	Item.SetAction( handler,Action) 
	
	return Item
	}
	
object menuBar = GetMenuBar()  
object menuCamera = newMenu( "Camera" ) 

string cameraI,cameraII
GetPersistentStringNote(CCL_Path112()+":[0]:Name",cameraI)
GetPersistentStringNote(CCL_Path112()+":[1]:Name",cameraII)
number CameraID = CameraGetActiveCameraID() 
	
object ItemCurrCamera = newMenu("Camera")
	ItemCurrCamera.SetIsEnabled(1)
object ItemCameraI = BuildItem(cameraI,"ChooseCamera_I")
object ItemCameraII = BuildItem(cameraII,"ChooseCamera_II")
if(CameraID==0) ItemCameraI.SetIsChecked(1)
if(CameraID==1) ItemCameraII.SetIsChecked(1)
	ItemCurrCamera.AddMenuItem(ItemCameraI)
	ItemCurrCamera.AddMenuItem(ItemCameraII)
object ItemCameraSetting = newMenu("Acquisition Parameters")
	ItemCameraSetting.SetIsEnabled(1)
object ItemCameraSettingAcquire  = BuildItem("Acquire","SettingsAcquire")
object ItemCameraSettingView  = BuildItem("View","SettingsView")
	ItemCameraSetting.AddMenuItem(ItemCameraSettingAcquire)
	ItemCameraSetting.AddMenuItem(ItemCameraSettingView)
object ItemInsert = BuildItem("retract camera","InsertRetractCamera")
object ItemSearch = BuildItem("Search","Search")
object ItemRestart = BuildItem("Restart View","Restart")
object ItemRecord = BuildItem("Record","Record")
object ItemVM1 = BuildItem("virtual TEM_I","VM_Panel_1")
object ItemVM2 = BuildItem("virtual TEM_II","VM_Panel_2")
object ItemVM3 = BuildItem("virtual TEM_III","VM_Panel_3")
object ItemVM4 = BuildItem("virtual Filter","VM_Panel_F")
object ItemVM5 = BuildItem("virtual DigiScan","VM_Panel_DS")
object ItemResetVM = BuildItem("reset all","ResetSettings")
object ItemDriftVM = BuildItem("stage drift","SetStageDrift")
object ItemFegVM = BuildItem("set FEG","SetFEG")

object ItemExamples = newMenu("Script examples")
ItemExamples.SetIsEnabled(1)
	object ItemExample1  = BuildItem("AutoAcquisition","LoadExample_1")
	ItemExamples.AddMenuItem(ItemExample1)
	object ItemExample2  = BuildItem("Focal Series","LoadExample_2")
	ItemExamples.AddMenuItem(ItemExample2)
	object ItemExample3  = BuildItem("Correct Stage Drift","LoadExample_3")
	ItemExamples.AddMenuItem(ItemExample3)
	object ItemExample4  = BuildItem("EFTEM","LoadExample_4")
	ItemExamples.AddMenuItem(ItemExample4)
	object ItemExample5  = BuildItem("Track Energy","LoadExample_5")
	ItemExamples.AddMenuItem(ItemExample5)
	object ItemExample6  = BuildItem("Z-Mapping","LoadExample_6")
	ItemExamples.AddMenuItem(ItemExample6)
	
	menuBar.AddMenu(menuCamera)

	menuCamera.AddMenuItem(ItemCurrCamera)
	menuCamera.AddMenuItem(ItemCameraSetting)
	 
	menuCamera.AddMenuItem(NewMenuSeparator()) 

	menuCamera.AddMenuItem(ItemInsert) 
	
	menuCamera.AddMenuItem(NewMenuSeparator()) 
 
	menuCamera.AddMenuItem(ItemSearch)
	menuCamera.AddMenuItem(ItemRestart)
	menuCamera.AddMenuItem(ItemRecord)
	  
	menuCamera.AddMenuItem(NewMenuSeparator())
	  
	menuCamera.AddMenuItem(ItemVM1) 
	menuCamera.AddMenuItem(ItemVM2) 
	menuCamera.AddMenuItem(ItemVM3) 
	menuCamera.AddMenuItem(ItemVM4) 
	menuCamera.AddMenuItem(ItemVM5)
	menuCamera.AddMenuItem(ItemResetVM) 
	menuCamera.AddMenuItem(ItemDriftVM) 
	menuCamera.AddMenuItem(ItemFEGVM)

	menuCamera.AddMenuItem(NewMenuSeparator())
	
	menuCamera.AddMenuItem(ItemExamples)
	
//ensure that no false panel ID ia saved
	number ID = 0
	VMsetvalue112("VM_panel_I ID",ID)
	VMsetvalue112("VM_panel_II ID",ID)
	VMsetvalue112("VM_panel_III ID",ID)
	VMsetvalue112("VM_panel_F ID",ID)
	VMsetvalue112("VM_panel_DS ID",ID)
	
VMsetvalue112("version",3)
	
result(")\n")
