/*************************************
Pavel Potapov, virtualTEM, 2013-2014
**************************************/

result("13")

number OFFLine 
GetPersistentNumberNote("_temDM-Scripts"+":OFFLine",OFFLine);
if(OffLine!=1) {result("X");throw(-128);}


//general definition of the virtualTEM controlling panels
 
class PanelVirtualTEM112: UIFrame
{
image Rahmen(object self,image in,number kantX,number kantY)
	{
	number Bcgrd=210
	number W,H
	getSize(in,W,H)
	
	image Outlined:=integerImage("",1,0,W+2*kantX,H+2*kantY)
	Outlined = Bcgrd
	Outlined[kantY,kantX,kantY+H,kantX+W]=in
	
	return Outlined
	}

image Iplusmenus (object self,number sign)
	{
	number size=10
	number Bcgrd=210
		
	image im:=integerIMage("",1,0,size,size)
	
	im = Bcgrd	
	number t=0.4*size,l=0*size,b=0.6*size,r=size
	im[t,l,b,r]=0
	if(sign==1)
		{
		t=0*size;l=0.4*size;b=size;r=0.6*size
		im[t,l,b,r]=0
		}	
		
	return self.Rahmen(im,8,8)
	}

image Iarrow(object self,number dir)
	{
	number size=12
	number Bcgrd=210
		
	image im:=integerIMage("",1,0,size,size)
	
	im = Bcgrd	
	number t=0.45*size,b=0.6*size
	im[t,0,b,size]=0
	im[t-2,size-4,b+2,size]=0
	
	setPixel(im,size-1,8,Bcgrd)
	setPixel(im,size-1,7,Bcgrd)
	setPixel(im,size-2,8,Bcgrd)

	setPixel(im,size-1,3,Bcgrd)
	setPixel(im,size-1,4,Bcgrd)
	setPixel(im,size-2,3,Bcgrd)
	
	for(number i=0;i<dir;i++) im = rotate(im,1.5708)
	
	return self.Rahmen(im,6,6)
	}
	
TagGroup CreateQuatreInPanel(object self,string Label,string Name,TagGroup ValueX,TagGroup ValueY,TagGroup Step,string FixedStep)
	{
	TagGroup Quatre0 = DLGCreateBox("")
	
	Quatre0.DLGAddElement(DLGCreateLabel(Label))

	TagGroup QuatreValues = DLGCreateDialog("").DLGTableLayout(2,1,1)
	QuatreValues.DLGAddElement(ValueX)
	QuatreValues.DLGAddElement(ValueY)	
	
	TagGroup Quatre = DLGCreateDialog("").DLGTableLayout(3,3,1)	

	number  w=1,h=1
Quatre.DLGAddElement(DLGCreateGraphic(w,h))
	Quatre.DLGAddElement(DLGCreateBevelButton(self.Iarrow(1).DLGMakeLowered(),self.Iarrow(1).DLGMakeRaised(),Name+"_YPlus"))	
Quatre.DLGAddElement(DLGCreateGraphic(w,h))	
	Quatre.DLGAddElement(DLGCreateBevelButton(self.Iarrow(2).DLGMakeLowered(),self.Iarrow(2).DLGMakeRaised(),Name+"_XMinus").DLGAnchor("East"))
if(FixedStep=="F") Quatre.DLGAddElement(DLGCreateGraphic(w,h))
else Quatre.DLGAddElement(Step)
	Quatre.DLGAddElement(DLGCreateBevelButton(self.Iarrow(0).DLGMakeLowered(),self.Iarrow(0).DLGMakeRaised(),Name+"_XPlus").DLGAnchor("West"))	
Quatre.DLGAddElement(DLGCreateGraphic(w,h))
	Quatre.DLGAddElement(DLGCreateBevelButton(self.Iarrow(3).DLGMakeLowered(),self.Iarrow(3).DLGMakeRaised(),Name+"_YMinus"))

	Quatre0.DLGAddElement(QuatreValues)
	Quatre0.DLGAddElement(Quatre)
	
	return Quatre0
	}

TagGroup CreateCoupleInPanel(object self,string Label,string Name,TagGroup Value,TagGroup Step,String FixedStep)
	{
	TagGroup Couple = DLGCreateBox("").DLGTableLayout(1,5,0)
	
	Couple.DLGAddElement(DLGCreateLabel(Label))
	Couple.DLGAddElement(Value)	
	
	Couple.DLGAddElement(DLGCreateBevelButton(self.Iplusmenus(1).DLGMakeLowered(),self.Iplusmenus(1).DLGMakeRaised(),Name+"Plus"))	
	if(FixedStep=="F") Couple.DLGAddElement(DLGCreateGraphic(2,20))
	else Couple.DLGAddElement(Step)
	Couple.DLGAddElement(DLGCreateBevelButton(self.Iplusmenus(0).DLGMakeLowered(),self.Iplusmenus(0).DLGMakeRaised(),Name+"Minus"))
		
	return Couple
	}

void ChangeValue(object self,number Direction,TagGroup &Variable,TagGroup Step,string Name,number Limit) 
	{
	number Value = Variable.DLGGetValue()
	number Increment =modulus(Step.DLGGetValue())
	if(Direction==1) if((Value+Increment)<=Limit) Value += Increment
	if(Direction==(-1)) if((Value-Increment)>=Limit) Value -= Increment
	if(Direction==2) if((Value*Increment)<=Limit) Value *= Increment
	if(Direction==(-2)) if((Value/Increment)>=Limit) Value /= Increment
	if(modulus(Value)<=0.000001) Value = 0	

	Variable.DLGValue(Value)

	VMsetValue112(Name,Value)
	}	
}

result(")")