/*************************************
Pavel Potapov, virtualTEM, 2013-2014
**************************************/
result("10")

number OFFLine 
GetPersistentNumberNote("_temDM-Scripts"+":OFFLine",OFFLine);
if(OffLine!=1) {result("\X");throw(-128);}

//service 112-command
void ResetStageDrift112(void) VMsetcouple112("StageDrift_nm",0,0)


//frame to control stage drift

class SetStageDrift112 : UIFrame
{
number driftX,DriftY
	
TagGroup CreateBox(object self)
	{
	TagGroup Box = DLGCreateBox("")


	Box.DLGTableLayout(2,4,0).DLGAnchor("West")
	
	Box.DLGAddElement(DLGCreatePushButton("reset drift", "Reset"))
	Box.DLGAddElement(DLGCreateLabel(""))
	
	Box.DLGAddElement(DLGCreateLabel("drift_X (nm/min)"))
	Box.DLGAddElement(DLGCreateRealField(driftX,6,2).DLGIdentifier("driftX"))

	Box.DLGAddElement(DLGCreateLabel("drift_Y (nm/min)"))
	Box.DLGAddElement(DLGCreateRealField(driftY,6,2).DLGIdentifier("driftY"))	
		
	Box.DLGAddElement(DLGCreatePushButton("   OK   ", "OkClick"))
	Box.DLGAddElement(DLGCreatePushButton("Cancel", "CancelClick"))
 
	return Box
	}

object init (object self)
	{
	
	VMgetcouple112("StageDrift_nm",driftX,driftY)
	
	self.init( self.CreateBox() );
	display(self,"Drift stage");
	
	return self
	}

void OkClick(object self )
	{
	driftX = self.LookUpElement("driftX").DLGGetValue() 
	driftY = self.LookUpElement("driftY").DLGGetValue()

	VMsetcouple112("StageDrift_nm",driftX,driftY)

	self.CloseUIFrameinV1V2DM112()
	}
	
void CancelClick(object self )
	{
	self.CloseUIFrameinV1V2DM112()
	}
	
void Reset(object self )
	{
	VMsetValue112("InitialTimeTick",GetOSTickCount())	
	}
	
}

//if stage drift not exist, create and set the default values

TagGroup Ptg = GetPersistentTagGroup()
if(!TagGroupDoesTagExist(Ptg,lab112()+":VirtualTEM:StageDrift_nm_X")) 
	{
	number iniDriftX = 20
	number iniDriftY=10
	VMsetCouple112("StageDrift_nm",iniDriftX,iniDriftY)
//result("iniDrift X:"+iniDriftX+" Y:"+iniDriftY)
	}

result(")")